Skip to main content
POST
/
v1
/
compliance
/
watch-list
Add a blockchain address to the watchlist
curl --request POST \
  --url https://api.openxswitch.com/v1/compliance/watch-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Entity Name",
  "type": "block",
  "address": "0x1234567890123456789012345678901234567890",
  "reason": "Wallet used by the sanctioned entity"
}
'
{
  "success": true,
  "data": {
    "id": "6a0c7c45f82132956d0ee5ea",
    "address": "0x123...",
    "label": "Sanctioned entity",
    "type": "allow",
    "reason": "Sanctioned entity",
    "workspaceId": "1",
    "createdAt": "2022-01-01",
    "updatedAt": "2022-01-01"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
label
string
required

This is the label for the watchlist

Example:

"Entity Name"

type
enum<string>
required

This is the type of watchlist

Available options:
allow,
block
Example:

"block"

address
string
required

This is the blockchain address to be whitelisted/Blocked

Example:

"0x1234567890123456789012345678901234567890"

reason
string
default:Trusted

This is the reason for adding to watchlist

Example:

"Wallet used by the sanctioned entity"

Response

success
boolean
required
Example:

true

data
object
required